Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[RISOLTO]hd 7850 fglrx catalyst dubbi
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
mattylux
Apprentice
Apprentice


Joined: 19 Jul 2008
Posts: 240
Location: bologna

PostPosted: Wed Dec 19, 2012 5:41 pm    Post subject: [RISOLTO]hd 7850 fglrx catalyst dubbi Reply with quote

salve a tutti ragazzi

da poco mi sono fatto il pc nuovo, un core i5 con una vga sapphire hd 7850, so che per questa scheda servono i drivers catalyst e questo non c'e ombra di dubbio.
questa e la mi prima volta che mi scontro con queste schede per la configurazione, chiedo qualche consciglio
ho provato a seguiire la guida http://en.gentoo-wiki.com/wiki/Fglrx
ho inserito nel make.conf su VIDEO_CARDS="fglrx"

e mi da questo errore dicendomi che la mi ascheda usa altri tipi di drivers xf86-video-ati che vengono usati per le schede datate
ho sbagliato qualcosa???


Code:
>> Emerging (2 of 2) x11-drivers/ati-drivers-12.11_beta
 * amd-driver-installer-catalyst-12.11-beta-x86.x86_64.zip SHA256 SHA512 WHIRLPOOL size ;-) ...                      [ ok ]
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found kernel object directory:
 *     /lib/modules/3.5.7-gentoo/build
 * Found sources for kernel version:
 *     3.5.7-gentoo
 *
 * Please note that this driver supports only graphic cards based on
 * Evergreen chipset and newer.
 * This represent the AMD Radeon HD 5400+ series at this moment.
 *
 * If your card is older then use x11-drivers/xf86-video-ati
 * For migration informations please reffer to:
 * http://www.gentoo.org/proj/en/desktop/x/x11/ati-migration-guide.xml
 *
>>> Unpacking source...
>>> Unpacking amd-driver-installer-catalyst-12.11-beta-x86.x86_64.zip to /var/tmp/portage/x11-drivers/ati-drivers-12.11_beta/work
/usr/lib64/portage/bin/phase-helpers.sh: line 326: unzip: command not found
 * ERROR: x11-drivers/ati-drivers-12.11_beta failed (unpack phase):
 *   failure unpacking amd-driver-installer-catalyst-12.11-beta-x86.x86_64.zip
 *
 * Call stack:
 *          ebuild.sh, line   93:  Called src_unpack
 *        environment, line 3485:  Called unpack 'amd-driver-installer-catalyst-12.11-beta-x86.x86_64.zip'
 *   phase-helpers.sh, line  326:  Called die
 * The specific snippet of code:
 *               ( set +x ; while true ; do echo n || break ; done ) | \
 *               unzip -qo "${srcdir}${x}" || die "$myfail"
 *
 * If you need support, post the output of `emerge --info '=x11-drivers/ati-drivers-12.11_beta'`,
 * the complete build log and the output of `emerge -pqv '=x11-drivers/ati-drivers-12.11_beta'`.
 * The complete build log is located at '/var/tmp/portage/x11-drivers/ati-drivers-12.11_beta/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/x11-drivers/ati-drivers-12.11_beta/temp/environment'.
 * Working directory: '/var/tmp/portage/x11-drivers/ati-drivers-12.11_beta/work'
 * S: '/var/tmp/portage/x11-drivers/ati-drivers-12.11_beta/work'

>>> Failed to emerge x11-drivers/ati-drivers-12.11_beta, Log file:

>>>  '/var/tmp/portage/x11-drivers/ati-drivers-12.11_beta/temp/build.log'

 * Messages for package x11-drivers/ati-drivers-12.11_beta:

 *
 * Please note that this driver supports only graphic cards based on
 * Evergreen chipset and newer.
 * This represent the AMD Radeon HD 5400+ series at this moment.
 *
 * If your card is older then use x11-drivers/xf86-video-ati
 * For migration informations please reffer to:
 * http://www.gentoo.org/proj/en/desktop/x/x11/ati-migration-guide.xml
 * ERROR: x11-drivers/ati-drivers-12.11_beta failed (unpack phase):
 *   failure unpacking amd-driver-installer-catalyst-12.11-beta-x86.x86_64.zip
 *
 * Call stack:
 *          ebuild.sh, line   93:  Called src_unpack
 *        environment, line 3485:  Called unpack 'amd-driver-installer-catalyst-12.11-beta-x86.x86_64.zip'
 *   phase-helpers.sh, line  326:  Called die
 * The specific snippet of code:
 *               ( set +x ; while true ; do echo n || break ; done ) | \
 *               unzip -qo "${srcdir}${x}" || die "$myfail"
 *
 * If you need support, post the output of `emerge --info '=x11-drivers/ati-drivers-12.11_beta'`,
 * the complete build log and the output of `emerge -pqv '=x11-drivers/ati-drivers-12.11_beta'`.
 * The complete build log is located at '/var/tmp/portage/x11-drivers/ati-drivers-12.11_beta/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/x11-drivers/ati-drivers-12.11_beta/temp/environment'.
 * Working directory: '/var/tmp/portage/x11-drivers/ati-drivers-12.11_beta/work'
 * S: '/var/tmp/portage/x11-drivers/ati-drivers-12.11_beta/work'

 * GNU info directory index is up-to-date.

 * IMPORTANT: 5 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


ho disabilitato questo nel kernel

Code:
Device Drivers  --->
   Graphics support  --->
      < > Direct Rendering Manager (XFree86 4.1.0 and higher DRI support)  --->

come da guida

la mia versione di xorg e questa,

Code:
eix -I xorg-server
[I] x11-base/xorg-server
     Available versions:  1.9.5-r1 1.10.6-r1 1.11.4-r1 1.12.2 ~1.12.3 1.12.4 ~1.13.0 1.13.0-r1 {{dmx doc ipv6 kdrive minimal nptl selinux static-libs tslib +udev xnest xorg xvfb}}
     Installed versions:  1.13.0-r1(16:58:31 19/12/2012)(ipv6 nptl udev xorg -dmx -doc -kdrive -minimal -selinux -static-libs -tslib -xnest -xvfb)
     Homepage:            http://xorg.freedesktop.org/
     Description: 


non è che questa verisone non e compatibile con la scheda e che sovrei usare una verisone piu vecchia??
_________________
persempre gentoo
il mio progetto in fase di lavoro
Http://stradedicarta.netsons.org


Last edited by mattylux on Thu Dec 20, 2012 1:39 pm; edited 1 time in total
Back to top
View user's profile Send private message
mattylux
Apprentice
Apprentice


Joined: 19 Jul 2008
Posts: 240
Location: bologna

PostPosted: Thu Dec 20, 2012 1:38 pm    Post subject: Reply with quote

risolto ora funziona tutto perfettamente ho installato la verisone xorg-server-1.12 da locale, cosi ho potuto inserire i catalysm senza problemi :D
_________________
persempre gentoo
il mio progetto in fase di lavoro
Http://stradedicarta.netsons.org
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum